Max

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
POST

Create environments max tools create and query insight

Required API key scopes

insight:readquery:read

Request parameters

  • query
    string
  • insight_type

Example request

POST /api/environments/:environment_id/max_tools/create_and_query_insight
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/max_tools/create_and_query_insight/\
-d query="string",\
-d insight_type=undefined

Example response

Status 200

Create max tools create and query insight

Required API key scopes

insight:readquery:read

Request parameters

  • query
    string
  • insight_type

Example request

POST /api/projects/:project_id/max_tools/create_and_query_insight
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/max_tools/create_and_query_insight/\
-d query="string",\
-d insight_type=undefined

Example response

Status 200

Community questions

Questions about this page? or post a community question.